

#include "./apps.h"
#include "./clocktimer.h"
#include "../types/mytypes.h"
#include "../types/ranged.h"
#include "../menu/menu.h"
#include "../menu/displayroutines.h"




void SelectOperatingModeApp(uint8_t Button){
    switch( Button){
     case UP:
        rangedInc_uint8_t(&OperatingMode);
        break;
     case DOWN:
        rangedDec_uint8_t(&OperatingMode);
        break;
     case LEFT:
     case RIGHT:
        break;
     case OK:
         ActiveApplication = &MenuApplication;
         ExitItem();
         return;
         break;
     case TICK:
        break;
    }
    Clear();
    PrintString("Betriebsart");
    Highlight(2);
    switch(OperatingMode.value){
        case 0:
            PrintStringPos(1,2, "Aus     ");
            break;
        case 1:
            PrintStringPos(1,2, "Frhjahr");
            break;
        case 2:
            PrintStringPos(1,2, "Sommer  ");
            break;
        case 3:
            PrintStringPos(1,2, "Winter  ");
            break;
    }
}
