#ifndef KEYS_H_INCLUDED
#define KEYS_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>

#define TasterPins PINC
#define ONOFF PC0
#define LEFT PC1  //S3
#define DOWN PC2  //S2
#define OK PC3  //S5
#define UP PC4  //S1
#define RIGHT PC5  //S4


#define MAX_CHECKS 4 // # checks before a switch is debounced

void InitKeys();
uint8_t get_key_short( uint8_t key_mask );
// Service routine called by a timer interrupt
void DebounceSwitch();

#endif // KEYS_H_INCLUDED
