//////////////////////////////////////////////////////////
// Title:		drm3310test.c							//
// Version:		v1.0									//
// Date:		12.08.2004								//
// Last Change:	15.08.2004								//
// Desc:		Nokia 3310 Lcd Ansteuerung				//
// Author:		Thomas Weger							//
// Compiler:	AVR-GCC: WinAVR-20040720				//
//////////////////////////////////////////////////////////

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <inttypes.h>
#include "drm3310.h"

int main(void)
{
	glcdn_spiInit();
	glcdn_InitDisplay();

	while(1)
	{
		glcdn_ShowImage(glcdNokia);
		glcdn_Delay(1500000);
		glcdn_ClearLcd();
		glcdn_ShowImage(glcdTarja);
		glcdn_Delay(1500000);
		glcdn_ClearLcd();
		glcdn_TestA();
		glcdn_Delay(1500000);
		glcdn_ClearLcd();
	}
}
